import { RequestOptionsFactory } from '@wix/sdk-types';
/** Retrieves the specified external database connection. */
export declare function getExternalDatabaseConnection(payload: object): RequestOptionsFactory<any>;
/** Lists all of the site's external database connections of all [adaptor types](https://dev.wix.com/docs/rest/business-solutions/cms/external-database-connection/introduction#prepare-an-external-database-adaptor). */
export declare function listExternalDatabaseConnections(payload: object): RequestOptionsFactory<any>;
/**
 * Creates a new external database connection.
 *
 * The `externalDatabaseConnection` parameter must include a `name`, `endpoint`, and `configuration` details for the external database.
 * If any of these are missing, the external database connection isn't created.
 */
export declare function createExternalDatabaseConnection(payload: object): RequestOptionsFactory<any>;
/**
 * Updates an external database connection.
 *
 * An external database collection name must be provided in `name`.
 * If an existing external database connection is found with the same name, that connection's details are updated.
 * If no external database connection has that name, the request fails.
 *
 * > **Note:** After an external database connection is updated, it only contains the values provided in the request. All previous values are lost.
 */
export declare function updateExternalDatabaseConnection(payload: object): RequestOptionsFactory<any>;
/**
 * Deletes an external database connection.
 *
 * > **Note:** Once an external database connection is deleted, it can't be restored. To reconnect the database you need to create a new external database connection.
 */
export declare function deleteExternalDatabaseConnection(payload: object): RequestOptionsFactory<any>;
